%define name 	matchbox-desktop
%define version 2.0
%define release %mkrel 7

Summary: 	Desktop for the Matchbox Desktop
Name: 		%name
Version: 	%version
Release: 	%release
Url: 		http://matchbox-project.org/
License: 	GPLv2+
Group: 		Graphical desktop/Other
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source: 	http://matchbox-project.org/sources/%name/%version/%{name}-%{version}.tar.bz2
# I also modify Makefile.in after giving up the fight with autotools
Patch0:		matchbox-desktop-2.0-link.patch
BuildRequires:	pkgconfig
BuildRequires:	libmatchbox-devel
BuildRequires:	startup-notification-devel
BuildRequires:	gtk+2-devel
Requires:	matchbox-panel
Requires:	matchbox-window-manager
Requires:	matchbox-common
Obsoletes:	matchbox-desktop-devel < %{version}-%{release}

%description
Matchbox is a base environment for the X Window System running on non-desktop
embedded platforms such as handhelds, set-top boxes, kiosks and anything else
for which screen space, input mechanisms or system resources are limited.

This package contains the main desktop from Matchbox.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --enable-startup-notification
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# wmsession config
mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/X11/wmsession.d
cat > $RPM_BUILD_ROOT/%_sysconfdir/X11/wmsession.d/22Matchbox <<EOF
NAME=Matchbox
ICON=/usr/share/pixmaps/mbdesktop.png
EXEC=/usr/bin/matchbox-session
DESC=Matchbox
SCRIPT:
exec /usr/bin/matchbox-session
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README ChangeLog
%_bindir/%name
%config(noreplace) %_sysconfdir/X11/wmsession.d/*




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.0-7.mga3
+ Revision: 359423
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 15 2012 pterjan <pterjan> 2.0-6.mga3
+ Revision: 331323
- Drop scriptlets, make_session seem empty nowadays
- Drop obsolete configure option
- Linx against libX11 (fixes build)

* Sun Apr 10 2011 dmorgan <dmorgan> 2.0-5.mga1
+ Revision: 82846
- Remove mdv macros
- imported package matchbox-desktop

